Bug 217178 - [PATCH] Escape single quotes in scp completion
[PATCH] Escape single quotes in scp completion
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: bash-completion (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
: MoveUpstream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-24 12:37 EST by Yanko Kaneti
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 20060301-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-27 18:40:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
scp single quote escape (918 bytes, patch)
2006-11-24 12:37 EST, Yanko Kaneti
no flags Details | Diff
Probably more portable approach (650 bytes, patch)
2006-12-26 07:09 EST, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Yanko Kaneti 2006-11-24 12:37:30 EST
With the attached patch bash completion for the scp command also escapes single
quote characters "'" by matching the sed hex perlre escape for it "\x27". 

Not sure how portable this sed syntax is but it works for Fedora's sed.

Also sent to the upstream author.
Comment 1 Yanko Kaneti 2006-11-24 12:37:32 EST
Created attachment 142081 [details]
scp single quote escape
Comment 2 Ville Skyttä 2006-12-07 14:17:38 EST
Have you heard back from upstream?
Comment 3 Yanko Kaneti 2006-12-07 14:51:03 EST
Nope. I did resent it today as it might have ended in a spamtrap or something...
If there is no answer I won't try any more.
Comment 4 Ville Skyttä 2006-12-26 07:09:26 EST
Created attachment 144368 [details]
Probably more portable approach

Here's a less pretty and efficient, but probably more portable approach.
Comment 5 Ville Skyttä 2007-02-27 18:40:10 EST
Patch from comment 4 applied in soon-to-appear 20060301-3 for FC-6+.

Note You need to log in before you can comment on or make changes to this bug.